Bug 1012703 - mate-panel crashes when deleting an applet from the panel
mate-panel crashes when deleting an applet from the panel
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mate-panel (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:3e86275e220ff5857058fc426f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 19:47 EDT by muh.acit
Modified: 2014-02-13 00:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 20:44:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.64 KB, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: core_backtrace (18.04 KB, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: dso_list (8.67 KB, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: environ (1.97 KB, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: maps (47.37 KB, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: open_fds (2.32 KB, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-09-26 19:47 EDT, muh.acit
no flags Details
File: var_log_messages (3.25 KB, text/plain)
2013-09-26 19:48 EDT, muh.acit
no flags Details

  None (edit)
Description muh.acit 2013-09-26 19:47:18 EDT
Version-Release number of selected component:
mate-panel-1.6.1-4.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        mate-panel
crash_function: g_type_check_instance_cast
executable:     /usr/bin/mate-panel
kernel:         3.11.1-300.fc20.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4008
 #1 mate_panel_applet_locked_change_notify at applet.c:185
 #2 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 g_settings_real_change_event at gsettings.c:288
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:522
 #9 g_cclosure_marshal_generic_va at gclosure.c:1550
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 settings_backend_path_changed at gsettings.c:363
Comment 1 muh.acit 2013-09-26 19:47:23 EDT
Created attachment 803636 [details]
File: backtrace
Comment 2 muh.acit 2013-09-26 19:47:27 EDT
Created attachment 803637 [details]
File: cgroup
Comment 3 muh.acit 2013-09-26 19:47:31 EDT
Created attachment 803638 [details]
File: core_backtrace
Comment 4 muh.acit 2013-09-26 19:47:35 EDT
Created attachment 803639 [details]
File: dso_list
Comment 5 muh.acit 2013-09-26 19:47:39 EDT
Created attachment 803640 [details]
File: environ
Comment 6 muh.acit 2013-09-26 19:47:43 EDT
Created attachment 803641 [details]
File: exploitable
Comment 7 muh.acit 2013-09-26 19:47:46 EDT
Created attachment 803642 [details]
File: limits
Comment 8 muh.acit 2013-09-26 19:47:51 EDT
Created attachment 803643 [details]
File: maps
Comment 9 muh.acit 2013-09-26 19:47:54 EDT
Created attachment 803644 [details]
File: open_fds
Comment 10 muh.acit 2013-09-26 19:47:58 EDT
Created attachment 803645 [details]
File: proc_pid_status
Comment 11 muh.acit 2013-09-26 19:48:04 EDT
Created attachment 803646 [details]
File: var_log_messages
Comment 12 Wolfgang Ulbrich 2013-09-27 07:38:44 EDT
Which version of libmateweather is installed?
Comment 13 Wolfgang Ulbrich 2013-10-11 07:02:00 EDT
upstream informed.
https://github.com/mate-desktop/mate-panel/issues/125
Comment 14 Wolfgang Ulbrich 2013-10-25 20:44:29 EDT
no user feddback since 1 month, close
Comment 15 Dan Mashal 2014-02-13 00:02:36 EST
Same issue with mate-panel-1.7.2 on Rawhide when deleting an applet from the panel.

Opened new issue with upstream:
https://github.com/mate-desktop/mate-panel/issues/166

Note You need to log in before you can comment on or make changes to this bug.